aboutsummaryrefslogtreecommitdiffstats
path: root/test/monniaux/build_benches.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/monniaux/build_benches.sh')
-rwxr-xr-xtest/monniaux/build_benches.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/test/monniaux/build_benches.sh b/test/monniaux/build_benches.sh
index 931cebac..01abf55d 100755
--- a/test/monniaux/build_benches.sh
+++ b/test/monniaux/build_benches.sh
@@ -2,15 +2,21 @@
TMPFILE=/tmp/1513times.txt
+cores=$(grep -c ^processor /proc/cpuinfo)
source benches.sh
+default="\e[39m"
+magenta="\e[35m"
+red="\e[31m"
+
rm -f commands.txt
rm -f $TMPFILE
for bench in $benches; do
+ echo -e "${magenta}Building $bench..${default}"
if [ "$1" == "" ]; then
- (cd $bench && make -j20)
+ (cd $bench && make -s -j$cores > /dev/null &> /dev/null) || { echo -e "${red}Build failed" && break; }
else
- (cd $bench && make -j20) | grep -P "\d+: \d+\.\d+" >> $TMPFILE
+ (cd $bench && make -j$cores) | grep -P "\d+: \d+\.\d+" >> $TMPFILE
fi
done